Bug 852746 - RHEL5 ipa-client-install --no-sssd fails because of authconfig --enableforcelegacy option
RHEL5 ipa-client-install --no-sssd fails because of authconfig --enableforcel...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipa-client (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 09:27 EDT by Scott Poore
Modified: 2013-09-09 15:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Attempting to run the ipa-client-install command with the "--no-sssd" option fails with the following error message: authconfig: error: no such option: --enableforcelegacy
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 18:16:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2012-08-29 09:27:54 EDT
Description of problem:

Trying to run ipa-client-install with --no-sssd option fails.

Version-Release number of selected component (if applicable):
ipa-client-2.1.3-4.el5

How reproducible:
always

Steps to Reproduce:
1.  <setup IPA server>
2.  on other client server:  ipa-client-install --domain=$DOMAIN --realm=$RELM  -p $ADMINID -w $ADMINPW -U --server=$MASTER --no-sssd
  
Actual results:

[root@vm6 install-client-cli]# ipa-client-install --domain=testrelm.com --realm=TESTRELM.COM  -p admin -w XXXXXXXX -U --server=vm4.testrelm.com --no-sssd
Discovery was successful!
Hostname: vm6.testrelm.com
Realm: TESTRELM.COM
DNS Domain: testrelm.com
IPA Server: vm4.testrelm.com
BaseDN: dc=testrelm,dc=com


Synchronizing time with KDC...

Enrolled in IPA realm TESTRELM.COM
Created /etc/ipa/default.conf
Configured /etc/krb5.conf for IPA realm TESTRELM.COM
Traceback (most recent call last):
  File "/usr/sbin/ipa-client-install", line 1289, in ?
    sys.exit(main())
  File "/usr/sbin/ipa-client-install", line 1276, in main
    rval = install(options, env, fstore, statestore)
  File "/usr/sbin/ipa-client-install", line 1189, in install
    auth_config.execute()
  File "/usr/lib/python2.4/site-packages/ipaclient/ipapython/platform/redhat.py", line 110, in execute
    ipautil.run(["/usr/sbin/authconfig"]+args)
  File "/usr/lib/python2.4/site-packages/ipaclient/ipapython/ipautil.py", line 183, in run
    raise CalledProcessError(p.returncode, args)
ipapython.ipautil.CalledProcessError: Command '/usr/sbin/authconfig --enableforcelegacy --update --enableldap' returned non-zero exit status 2
[root@vm6 install-client-cli]# /usr/sbin/authconfig --enableforcelegacy --update --enableldap
usage: authconfig [options] <--update|--test|--probe>

authconfig: error: no such option: --enableforcelegacy


Expected results:

no error and client successfully installed.

Additional info:
Comment 1 RHEL Product and Program Management 2012-08-29 10:47:21 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Dmitri Pal 2012-08-30 00:45:27 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3042
Comment 3 Martin Kosek 2012-09-26 09:28:35 EDT
Upstream ticket was closed - not an upstream bug.
Comment 4 Jenny Galipeau 2012-10-04 15:56:08 EDT
Is this bugzilla to be closed won't fix?
Comment 5 Dmitri Pal 2012-10-04 18:16:26 EDT
Yes, it is not something we will do.

Note You need to log in before you can comment on or make changes to this bug.